Package com.sun.jna.platform.win32

## Class PhysicalMonitorEnumerationAPI.PHYSICAL_MONITOR

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.PhysicalMonitorEnumerationAPI.PHYSICAL_MONITOR

Enclosing interface:
  PhysicalMonitorEnumerationAPI

    @FieldOrder({"hPhysicalMonitor","szPhysicalMonitorDescription"})
    public static class PhysicalMonitorEnumerationAPI.PHYSICAL_MONITOR
    extends Structure

Contains a handle and text description corresponding to a physical monitor.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinNT.HANDLE` `hPhysicalMonitor` Handle to the physical monitor.
`char[]` `szPhysicalMonitorDescription` Text description of the physical monitor (always 128 chars)

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`PHYSICAL_MONITOR()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hPhysicalMonitor

    public WinNT.HANDLE hPhysicalMonitor

Handle to the physical monitor.

#### szPhysicalMonitorDescription

    public char[] szPhysicalMonitorDescription

Text description of the physical monitor (always 128 chars)

### Constructor Detail

#### PHYSICAL_MONITOR

    public PHYSICAL_MONITOR()